<?php
/**
 * 机构账号管理编辑
 * $Id: org_account_edit_input.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("13")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$uid = ParamUtil::getRequestString("user_id");
$action_type = ParamUtil::getRequestString("action_type");
if($action_type == "new"){
  $account_mst = new AccountMst();
}
if($action_type == "edit"){
  $account_mst = AccountMst::getById($id);
  if ($account_mst == null) {
  	// エラー表示
    $message = "对象不存在.";
  	$layout_pages = array();
  	$layout_pages["left"] = "menu.inc";
  	$layout_pages["right"] = "error.inc";
  	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  	exit;
  }
}
$login = $account_mst->login;
$password = $account_mst->password;
$name = $account_mst->name;
$contact = $account_mst->contact;
$comment = $account_mst->comment;

$_SCRIPT_FILE = array("scripts/validators.js");
// 页面表示
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["menu_clicked"] = "2-1";
$layout_pages["right"] = "org_account_edit_input.inc";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;